Skip to main content
GET
/
cdn
/
statistics
/
shield_usage
/
series
Origin shielding usage statistics
curl --request GET \
  --url https://api.gcore.com/cdn/statistics/shield_usage/series \
  --header 'Authorization: <api-key>'
[
  {
    "id": 1,
    "active_from": "2020-01-21T04:36:35.473Z",
    "active_to": null,
    "client_id": 1,
    "cname": "resource-1.com"
  },
  {
    "id": 2,
    "active_from": "2020-03-21T04:36:30.269Z",
    "active_to": "2020-04-21T04:36:33.062Z",
    "client_id": 1,
    "cname": "resource-2.com"
  }
]

Documentation Index

Fetch the complete documentation index at: https://gcore.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

from
string
required

Beginning of the requested time period (ISO 8601/RFC 3339 format, UTC.)

Example:

  • &from=2018-12-01T00:00:00.000
to
string
required

End of the requested time period (ISO 8601/RFC 3339 format, UTC.)

Example:

  • &to=2018-12-01T01:00:00.000
resource
integer

CDN resources IDs.

To request multiple values, use:

  • &resource=1&resource=2
client
integer

Client accounts IDs.

To request multiple values, use:

  • &client=1&client=2

Response

Successful.

id
integer

Internal feature activation ID.

active_from
string

Date and time when paid feature was enabled (ISO 8601/RFC 3339 format, UTC.)

active_to
string | null

Date and time when paid feature was disabled (ISO 8601/RFC 3339 format, UTC.)

Returns null if the paid feature is enabled.

client_id
integer

Client account ID.

cname
string

CDN resource CNAME.